var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import React from 'react';
import { FieldArray, ErrorMessage } from 'formik';
import RequiredField from './forms/RequiredField';
var CheckboxGroup = /** @class */ (function (_super) {
    __extends(CheckboxGroup, _super);
    function CheckboxGroup(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            position: 'inline',
        };
        return _this;
    }
    CheckboxGroup.prototype.componentDidMount = function () {
        this.setPosition();
    };
    CheckboxGroup.prototype.setPosition = function () {
        if (this.props.field.position) {
            this.setState({
                position: this.props.field.position,
            });
            if (this.props.field.position === 'grid') {
                this.setState({
                    grid: "col-md-" + this.props.field.positionGrid,
                    containerClass: 'row',
                });
            }
        }
    };
    CheckboxGroup.prototype.render = function () {
        var _this = this;
        return (React.createElement("div", { className: this.props.classes },
            React.createElement("label", { htmlFor: this.props.name, className: this.props.lClass },
                this.props.field.label,
                ' ',
                this.props.field.isRequired && React.createElement(RequiredField, null)),
            React.createElement(FieldArray, { name: this.props.name, render: function (arrayHelpers) { return (React.createElement("div", { className: "" + _this.props.dClass },
                    React.createElement("div", { className: "" + _this.state.containerClass }, _this.props.field.options.map(function (o) { return (React.createElement("div", { key: o.id, className: "cb cb-primary " + _this.state.grid + " " + _this.state.position },
                        React.createElement("input", { name: _this.props.name, type: "checkbox", id: o.id, value: o.id, checked: _this.props.form.values[_this.props.name].includes(o.id), disabled: o.disabled, onChange: function (e) {
                                if (e.target.checked) {
                                    arrayHelpers.push(o.id);
                                }
                                else {
                                    var idx = _this.props.form.values[_this.props.name].indexOf(o.id);
                                    arrayHelpers.remove(idx);
                                }
                            } }),
                        React.createElement("label", { htmlFor: o.id }, o.label))); })),
                    React.createElement(ErrorMessage, { name: _this.props.name, component: "div", className: "required" }))); } })));
    };
    return CheckboxGroup;
}(React.PureComponent));
export default CheckboxGroup;
//# sourceMappingURL=CheckboxGroup.js.map