var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from 'react';
import { Field } from 'formik';
var Button = /** @class */ (function (_super) {
    __extends(Button, _super);
    function Button(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            buttonType: 'submit',
            classNames: '',
        };
        _this.handleChange = _this.handleChange.bind(_this);
        return _this;
    }
    Button.prototype.componentDidMount = function () {
        if (this.props.field.buttonType === 'submit') {
            this.setState({
                classNames: "btn btn-primary " + this.props.classes,
            });
        }
        if (this.props.field.buttonType === 'reset') {
            this.setState({
                classNames: "btn btn-secondary " + this.props.classes,
            });
        }
    };
    Button.prototype.handleChange = function () {
        if (this.props.field.buttonType === 'reset') {
            this.props.form.handleReset();
        }
    };
    Button.prototype.render = function () {
        var _this = this;
        return (React.createElement(Field, { name: this.props.name }, function (FieldProp) { return (React.createElement("button", __assign({ type: _this.props.field.buttonType, className: _this.state.classNames, disabled: _this.props.field.disabled, onClick: _this.handleChange }, FieldProp.field), _this.props.field.label)); }));
    };
    return Button;
}(React.Component));
export default Button;
//# sourceMappingURL=Button.js.map