var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from 'react';
import { Field, ErrorMessage } from 'formik';
var Checkbox = /** @class */ (function (_super) {
    __extends(Checkbox, _super);
    function Checkbox() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Checkbox.prototype.render = function () {
        var _this = this;
        return (React.createElement("div", { className: "cb cb-primary " + this.props.classes },
            React.createElement("label", { className: this.props.lClass }),
            React.createElement(Field, { type: "text", name: this.props.name }, function (FieldProp) { return (React.createElement("div", { className: _this.props.dClass },
                React.createElement("input", __assign({ name: _this.props.name, id: _this.props.name, type: "checkbox", checked: _this.props.form.value }, FieldProp.field)),
                React.createElement("label", { htmlFor: _this.props.name }, _this.props.field.label))); }),
            React.createElement(ErrorMessage, { name: this.props.name, component: "div", className: "required" })));
    };
    return Checkbox;
}(React.PureComponent));
export default Checkbox;
//# sourceMappingURL=Checkbox.js.map