var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import * as React from 'react';
import { CustomInput } from 'reactstrap';
import { Field, ErrorMessage } from 'formik';
var InputToggle = /** @class */ (function (_super) {
    __extends(InputToggle, _super);
    function InputToggle() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    InputToggle.prototype.render = function () {
        var _this = this;
        return (React.createElement("div", { className: this.props.classes },
            React.createElement("label", { className: this.props.lClass }, this.props.field.title),
            React.createElement("div", { className: this.props.dClass },
                React.createElement(Field, { name: this.props.name }, function (FieldProp) { return (React.createElement(CustomInput, __assign({ type: "switch", id: _this.props.name, name: _this.props.name, onChange: _this.props.form.handleChange, value: _this.props.field.value, label: _this.props.field.label }, FieldProp.field))); }),
                React.createElement(ErrorMessage, { name: this.props.name, component: "div", className: "required" }))));
    };
    return InputToggle;
}(React.PureComponent));
export default InputToggle;
//# sourceMappingURL=InputToggle.js.map