var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import React from 'react';
import { FieldArray, ErrorMessage } from 'formik';
import RequiredField from './forms/RequiredField';
var RadioButton = /** @class */ (function (_super) {
    __extends(RadioButton, _super);
    function RadioButton(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            position: 'inline',
        };
        return _this;
    }
    RadioButton.prototype.componentDidMount = function () {
        this.setPosition();
    };
    RadioButton.prototype.setPosition = function () {
        if (this.props.field.position) {
            this.setState({
                position: this.props.field.position,
            });
        }
    };
    RadioButton.prototype.render = function () {
        var _this = this;
        return (React.createElement("div", { className: this.props.classes, key: this.props.name },
            React.createElement("label", { htmlFor: this.props.field.id, className: this.props.lClass },
                this.props.field.label,
                ' ',
                this.props.field.isRequired && React.createElement(RequiredField, null)),
            React.createElement(FieldArray, { name: this.props.name }, function (FieldProp) { return (React.createElement("div", { className: _this.props.dClass },
                _this.props.field.options.map(function (o) { return (React.createElement("div", { key: o.id, className: "rb " + _this.state.position },
                    React.createElement("input", { name: _this.props.name, id: o.id, type: "radio", value: o.id, checked: _this.props.form.values[_this.props.name].includes(o.id), onChange: FieldProp.form.handleChange }),
                    React.createElement("label", { htmlFor: o.id }, o.label))); }),
                React.createElement(ErrorMessage, { name: _this.props.name, component: "div", className: "required" }))); })));
    };
    return RadioButton;
}(React.PureComponent));
export default RadioButton;
//# sourceMappingURL=RadioButton.js.map