import React from 'react';
import { Prompt } from 'react-router-dom';
import { FormikConsumer } from 'formik';

export const PromptUnsavedForm = () => {
  return (
    <FormikConsumer>
      {formik => (
        <Prompt
          when={formik.dirty}
          message="Are you sure you want to leave? You have unsaved changes which will be ignored."
        />
      )}
    </FormikConsumer>
  );
};
